CustomersCustomer
Get current customer session
GET
/v1/customer/sessions/currentGet current customer session. A successful request returns HTTP 200 with the documented response body.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
x-Store-Domain*string
Store slug or configured domain that selects the store context at the central Storefront gateway.
Length
1 <= length <= 253Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/customer/sessions/current" \ -H "Authorization: Bearer <token>" \ -H "x-Store-Domain: my-store"{ "expiresAt": "2026-08-01T15:30:00Z", "customer": { "id": "7204558912004325301", "firstName": "Andrea", "lastName": "Ramos", "email": "andrea@example.com", "status": "active" }}